Bug 82432 - `lsdev` fails with perl error
`lsdev` fails with perl error
Product: Red Hat Linux
Classification: Retired
Component: procinfo (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Jay Turner
: 81310 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-01-21 21:01 EST by Adrian Likins
Modified: 2015-01-07 19:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-13 13:16:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2003-01-21 21:01:52 EST
Description of problem:
[root@sludge up2date]# lsdev
Split loop at /usr/bin/lsdev line 38, <DMA> line 1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run `lsdev`
Actual results:

Expected results:

Additional info:
Comment 1 Mike A. Harris 2004-01-13 11:23:47 EST
pts/0 mharris@devel:~$ lsdev
Device            DMA   IRQ  I/O Ports
0000:00:03.0                 1800-18ff
0000:00:05.0                 2000-20ff
0000:00:0f.1                 2400-240f
0000:02:05.0                 3000-30ff
0000:05:04.0                 4000-40ff
0000:05:04.1                 4400-44ff
0000:05:09.0                 4800-483f
cascade             4     2
cciss                        3000-30ff
cciss0                   10
dma                          0080-008f
dma1                         0000-001f
dma2                         00c0-00df
eepro100                     4800-483f
eth0                      5
fpu                          00f0-00ff
i8042                  1 12
ide0                     14  01f0-01f7 03f6-03f6 2400-2407
ide1                         2408-240f
keyboard                     0060-006f
PCI                          0cf8-0cff
pic1                         0020-0021
pic2                         00a0-00a1
rtc                       8  0070-0077
serial                       02f8-02ff 03f8-03ff
sym53c8xx             11 15  4000-40ff 4400-44ff
timer                     0  0040-005f
vga+                         03c0-03df

I believe this problem is likely hardware specific, and that the
machine you encountered this error on, probably has a more complex
set of /proc files than what lsdev was designed to handle.  Can
you provide me with a root shell on the machine in question for
debugging purposes?
Comment 2 Mike A. Harris 2004-01-13 11:25:57 EST
Actually, the output of /proc/dma might be sufficient, as I can
then modify it to read ./dma and use your sample data to debug
Comment 3 Mike A. Harris 2004-01-13 11:39:47 EST
Could possibly be related to this perhaps:

Comment 4 Mike A. Harris 2004-01-13 12:47:32 EST
This could actually have been a bug in perl.  Bug #78919 refers to
a similar error which may be the same problem.

Further searching yields bug #77437 which also claims this to be
a perl bug.
Comment 5 Mike A. Harris 2004-01-13 12:47:57 EST
*** Bug 81310 has been marked as a duplicate of this bug. ***
Comment 6 Mike A. Harris 2004-01-13 13:16:11 EST
alikins commented to me in IRC that this problem no longer occurs
on Fedora Core 1 for him, so this problem appears to be fixed now
whatever it was.  I'm going to assume based on my above research
that it was a perl bug that got fixed along the way, and close it
as such for now.

If anyone who experienced this problem, still can reproduce it
at all using Fedora Core 1 with the latest updates applied, please
reopen and try to help debug the issue.

Closing as CURRENTRELEASE (Fedora Core 1)

Note You need to log in before you can comment on or make changes to this bug.